# RPM specfile for libcapplet module
# Generated Fri Aug  1 00:52:10 2003 GMT by Ximian build system
# $Id: bb_do,v 1.235.2.3 2003/07/21 15:31:37 thunder Exp $
# from $Id: ximian-build.conf,v 1.27 2003/07/31 22:02:22 mibarra Exp $

%define nam	libcapplet
%define ver	1.5.12
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	11

Name:     	libcapplet0
Version: 	1.5.12
Release:	0.ximian.6.11
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.gnome.org/
Epoch:		1
Source0:	libcapplet-1.5.12.tar.gz
Patch0:		libcapplet-sonum-drop.patch
Patch1:		libcapplet-de.po.patch
Summary:	Library for Gnome Control Center Applets
Group:		System Environment/Libraries
Provides:	libcapplet = 1:1.5.12-0.ximian.6.11
Provides:	ximian-libcapplet0 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	libcapplet
Obsoletes:	libcapplet1
Conflicts:	libcapplet1
Conflicts:	libcapplet0-devel < 1:1.5.12-0.ximian.6.11
Conflicts:	libcapplet0-devel > 1:1.5.12-0.ximian.6.11

%description

This library is used by the tools in the GNOME control center.
GNOME is a complete desktop based on free software, and the 
GNOME control center is its central preferences and settings
management tool.


%files
%defattr(-, root, root)
%doc COPYING ChangeLog AUTHORS INSTALL NEWS README
/usr/lib/lib*.so.*
/usr/*/locale/*/LC_MESSAGES/*.mo


%post
ldconfig

%postun
ldconfig

%package -n libcapplet0-devel
Summary:	Library for Gnome Control Center applets - Development
Group:		Development/Libraries
Requires:	libcapplet0 = 1:1.5.12-0.ximian.6.11
Provides:	libcapplet0-devel = 1:1.5.12-0.ximian.6.11
Provides:	ximian-libcapplet0-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Obsoletes:	control-center-devel < 2.0
Conflicts:	control-center-devel < 2.0

%description -n libcapplet0-devel
Install this package if you wish to develop Control Center Applets for
the GNOME 1.4 Desktop Environment

%files -n libcapplet0-devel
%defattr(-, root, root)
/usr/lib/*.a
/usr/lib/lib*.so
/usr/lib/*.sh
/usr/include/*
/usr/lib/pkgconfig/*.pc


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n libcapplet-1.5.12
    ;;
all)
%setup  -q -n libcapplet-1.5.12
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    autoconf; ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/share/man --infodir=/usr/share/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} DESTDIR=${DESTDIR} install; rm -rf ${DESTDIR}/usr/lib/*.la
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Fri Aug 1 2003 Ximian, Inc.

- Version: 1:1.5.12-0.ximian.6.11
- Summary: New build.
- New automated build.

